Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javafx.newt
Class InputEvent

    java.lang.Object
      com.sun.javafx.newt.Event
          com.sun.javafx.newt.InputEvent

Direct Known Subclasses:
  KeyEvent, MouseEvent

    public abstract class InputEvent

extends Event

Field Summary
`static int` | `ALT_GRAPH_MASK`
`static int` | `ALT_MASK`
`static int` | `BUTTON1_MASK`
`static int` | `BUTTON2_MASK`
`static int` | `BUTTON3_MASK`
`static int` | `CTRL_MASK`
`static int` | `META_MASK`
`static int` | `SHIFT_MASK`

Constructor Summary
`protected` | `InputEvent(boolean sysEvent, int eventType, Window source, long when, int modifiers)`

Method Summary
`void` | `consume()`
`int` | `getModifiers()`
`boolean` | `isAltDown()`
`boolean` | `isAltGraphDown()`
`boolean` | `isButton1Down()`
`boolean` | `isButton2Down()`
`boolean` | `isButton3Down()`
`boolean` | `isConsumed()`
`boolean` | `isControlDown()`
`boolean` | `isMetaDown()`
`boolean` | `isShiftDown()`
`String` | `toString()`

Methods inherited from class com.sun.javafx.newt.Event
`getEventType, getSource, getWhen, isSystemEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SHIFT_MASK

    public static final int SHIFT_MASK

See Also:
  Constant Field Values

### CTRL_MASK

    public static final int CTRL_MASK

See Also:
  Constant Field Values

### META_MASK

    public static final int META_MASK

See Also:
  Constant Field Values

### ALT_MASK

    public static final int ALT_MASK

See Also:
  Constant Field Values

### ALT_GRAPH_MASK

    public static final int ALT_GRAPH_MASK

See Also:
  Constant Field Values

### BUTTON1_MASK

    public static final int BUTTON1_MASK

See Also:
  Constant Field Values

### BUTTON2_MASK

    public static final int BUTTON2_MASK

See Also:
  Constant Field Values

### BUTTON3_MASK

    public static final int BUTTON3_MASK

See Also:
  Constant Field Values

Constructor Detail

### InputEvent

    protected InputEvent(boolean sysEvent,
                         int eventType,
                         Window source,
                         long when,
                         int modifiers)

Method Detail

### consume

    public void consume()

### isConsumed

    public boolean isConsumed()

### getModifiers

    public int getModifiers()

### isAltDown

    public boolean isAltDown()

### isAltGraphDown

    public boolean isAltGraphDown()

### isControlDown

    public boolean isControlDown()

### isMetaDown

    public boolean isMetaDown()

### isShiftDown

    public boolean isShiftDown()

### isButton1Down

    public boolean isButton1Down()

### isButton2Down

    public boolean isButton2Down()

### isButton3Down

    public boolean isButton3Down()

### toString

    public String toString()

  Overrides:
    `toString` in class `Event`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.